PUT
/v1/fulfillment/ship-now/{orderId}/addressPUT /v1/fulfillment/ship-now/{orderId}/address
Scopes: fulfillment:ship_now:write
Requires scope: fulfillment:ship_now:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
orderId | path | integer<int32> | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
contact_name | string | no | |
contact_company | string | no | |
street1 | string | no | |
street2 | string | no | |
city | string | no | |
state | string | no | |
zip | string | no | |
country_code | string | no | |
phone_number | string | no | |
email | string | no | |
is_residential | boolean | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.PUT('/v1/fulfillment/ship-now/{orderId}/address', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);